OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Version Class Reference

Bit-compacted representation of all three version numbers. More...

`#include <nanovdb/NanoVDB.h>`

## Public Member Functions
| Version ()
| Version (uint32_t data)
| Version (uint32_t major, uint32_t minor, uint32_t patch)
bool | operator== (const Version &rhs) const
bool | operator< (const Version &rhs) const
bool | operator<= (const Version &rhs) const
bool | operator> (const Version &rhs) const
bool | operator>= (const Version &rhs) const
uint32_t | id () const
uint32_t | getMajor () const
uint32_t | getMinor () const
uint32_t | getPatch () const
bool | isCompatible () const
int | age () const
| Check the major version of this instance relative to NANOVDB_MAJOR_VERSION_NUMBER.
const char * | c_str () const

## Detailed Description

Bit-compacted representation of all three version numbers.

major is the top 11 bits, minor is the 11 middle bits and patch is the lower 10 bits

## Constructor & Destructor Documentation

## ◆ Version() [1/3]

Version | ( |  | ) |
| inline

## ◆ Version() [2/3]

Version | ( | uint32_t | data | ) |
| inline

## ◆ Version() [3/3]

Version | ( | uint32_t | major,
|  | uint32_t | minor,
|  | uint32_t | patch
| ) |  |
| inline

## Member Function Documentation

## ◆ age()

int age | ( |  | ) | const
| inline

Check the major version of this instance relative to NANOVDB_MAJOR_VERSION_NUMBER.

Returns
  return 0 if the major version equals NANOVDB_MAJOR_VERSION_NUMBER, else a negative age if it is older, i.e. smaller, and a positive age if it's newer, i.e.e larger.

## ◆ c_str()

const char * c_str | ( |  | ) | const
| inline

## ◆ getMajor()

uint32_t getMajor | ( |  | ) | const
| inline

## ◆ getMinor()

uint32_t getMinor | ( |  | ) | const
| inline

## ◆ getPatch()

uint32_t getPatch | ( |  | ) | const
| inline

## ◆ id()

uint32_t id | ( |  | ) | const
| inline

## ◆ isCompatible()

bool isCompatible | ( |  | ) | const
| inline

## ◆ operator<()

bool operator< | ( | const Version & | rhs | ) | const
| inline

## ◆ operator<=()

bool operator<= | ( | const Version & | rhs | ) | const
| inline

## ◆ operator==()

bool operator== | ( | const Version & | rhs | ) | const
| inline

## ◆ operator>()

bool operator> | ( | const Version & | rhs | ) | const
| inline

## ◆ operator>=()

bool operator>= | ( | const Version & | rhs | ) | const
| inline